package main

import (
	"fmt"
	"log"
)

func main() {

	proxyHostURL, proxyServerURL, jwtKey := getEnvironmentVariables()

	// define origin server URL
	originServerURL := parse_url(proxyServerURL)
	reverseProxy := &ReverseProxy{URL: originServerURL, jwtKey: jwtKey}

	fmt.Printf("[sidoxy] Listening on \"%s\"\n", proxyHostURL)
	fmt.Printf("[sidoxy] Forwarding to \"%s\"\n", proxyServerURL)
	fmt.Printf("[sidoxy] jwtKey is \"%s\"\n", jwtKey)
	log.Fatal(listen_and_serve(proxyHostURL, reverseProxy.reverseProxyHandlerFunc()))

}
